{% extends "logger_ui_base.html" %}
{% block content %}
<h2>data-logger configuration</h2>
<form method="GET" action="">
    <div class="flexRow">
        <button class="baseButton" name="connect_btn"
                title="Return to connection page">Connect logger</button>
        <button class="baseButton" name="buildnames_btn"
                title="Use name builder to build names from metadata">Name builder</button>
        {% if serial_port %}
        <button class="baseButton" name="samples_btn"
            title="Go to the logger's samples page">Samples</button>
        {% endif %}
    </div><br>
    <div class="flexRow">
        {% if serial_port %}
        <button class="baseButton data" name="reload_btn"
            title="Get all field values from the connected logger">Get configuration from logger</button>
        {% endif %}
        <button class="baseButton" name="clear_btn"
                title="Clear all fields">Clear</button>
        <button class="baseButton" name="default_btn"
                title="Merge current values with defaults">Defaults</button>
    </div>

</form>

<form method="POST" action="" enctype="multipart/form-data">
    <p>
    <label for="load_file">
        <input class="baseButton" type="submit" name="load_btn" value="Load file"
        title="Load values from the selected file">
    </label>
    <input type="file" name="load_file" accept=".yml, .txt"></p>
</form><br>

<form method="POST" action="">
    <fieldset class="inputField">
        <legend>Configuration</legend>
        <div class="flexRow">
            {% if serial_port %}
            <input class="baseButton data upload" name="setall_btn" type="submit" value="Set all"
            title="Set all values into the logger's working memory (not persistent)">
            <input class="baseButton data upload" name="upload_btn" type="submit" value="Upload"
            title="Upload all values into the logger's persistent memory">
            {% else %}
            <!--
            <input class="baseButton" name="update_btn" type="submit" value="Update"
            title="Update the values in the form">
            !-->
            {% endif %}
            <input class="baseButton data" name="save2file_btn" type="submit" value="Save to file"
            title="Save values to a file on disk">
        </div>
        {% if download_link %}
            <label for="download_link">
                {% if not saved %}
                Will be saved in:
                {% else %}
                Saved in:
                {% endif %}
            </label>
            <a name="download_link" href="file://{{ download_link }}"
               {% if not saved %}
               style="color:Red;"
               {% endif %}> {{ download_link }}</a>
        {% endif %}
    </fieldset>

    <fieldset class="inputField">
        <legend>Device</legend>
        <label for="device_name">Name:</label>
        <input type="text"
               name="device_name"
               placeholder=" <location>.<building>.<spring>"
               size="92"
               maxlength="92"
               {% if device_name %}value="{{ device_name }}"{% endif %}
               required
               title="Name of the device"
        ><br>
        {% if serial_port %}
        <input class="baseButton data upload" name="devname_set_btn" type="submit" value="Set"
        title="Set the values of this section into the logger's working memory (not persistent)">
        {% endif %}
        <br>
        <label for="serial_port">Serial port:</label>
        <input type="text"
               name="serial_port"
               size="64"
               {% if serial_port %}value="{{ serial_port }}"{% endif %}
               readonly
               title="Serial port to which the logger is connected"
        ><br>

        <label for="firmware_version">Firmware version:</label>
        <input type="text"
               name="firmware_version"
               size="5"
               {% if firmware_version %}value="{{ firmware_version }}"{% endif %}
               readonly
               title="Version of logger's firmware"
        ><br>
        <label for="unique_id">Unique ID:</label>
        <input type="text"
               name="unique_id"
               size="29"
               {% if unique_id %}value="{{ unique_id }}"{% endif %}
               readonly
               title="Logger's unique ID, not available in older firmware versions"
        >
    </fieldset>

    <fieldset class="inputField">
        <legend>Analog channel names</legend>
        <label for="adc_in8_name">ADC_IN08:</label>
        <input type="text"
               name="adc_in8_name"
               placeholder="<wabeID_wabeType>.<sensor ULAG label>.<physical magnitude>(<SI units>)"
               size="64"
               maxlength="64"
               {% if adc_in8_name and adc_in8_name != "NA" %}
               value="{{ adc_in8_name }}"
               {% endif %}
        ><br>
        <label for="adc_in9_name">ADC_IN09:</label>
        <input type="text"
               name="adc_in9_name"
               placeholder="<wabeID_wabeType>.<sensor ULAG label>.<physical magnitude>(<SI units>)"
               size="64"
               maxlength="64"
               {% if adc_in9_name and adc_in9_name != "NA" %}
               value="{{ adc_in9_name }}"
               {% endif %}
        ><br>
        <label for="adc_in10_name" > ADC_IN10:</label>
        <input type="text"
               name="adc_in10_name"
               placeholder="<wabeID_wabeType>.<sensor ULAG label>.<physical magnitude>(<SI units>)"
               size="64"
               maxlength="64"
               {% if adc_in10_name and adc_in10_name != "NA" %}
               value="{{ adc_in10_name }}"
               {% endif %}
        ><br>
        <label for="adc_in11_name">ADC_IN11:</label>
        <input type="text"
               name="adc_in11_name"
               placeholder="<wabeID_wabeType>.<sensor ULAG label>.<physical magnitude>(<SI units>)"
               size="64"
               maxlength="64"
               {% if adc_in11_name and adc_in11_name != "NA" %}
               value="{{ adc_in11_name }}"
               {% endif %}
        ><br>
        {% if serial_port %}
        <input class="baseButton data upload" name="chname_set_btn" type="submit" value="Set"
        title="Set the values of this section into the logger's working memory (not persistent)">
        {% endif %}
    </fieldset>

    <fieldset class="inputField">
        <legend>Logging</legend>
        <div class="flexRow">
            <label for="sampling_interval">Interval:
            <input type="number"
                   name="sampling_interval"
                   min="0"
                   step="1"
                   size="6"
                   maxlength="4"
                   {% if sampling_interval %}
                   value="{{ sampling_interval }}"
                   {% endif %}
                   required
            ></label>
            <label for="interval_units">Units:
            <select name="interval_units">
                <option value="d" {% if interval_units == 'd' %} selected {% endif %}>days</option>
                <option value="h" {% if interval_units == 'h' %} selected {% endif %}>hours</option>
                <option value="T" {% if interval_units == 'T' %} selected {% endif %}>minutes</option>
                <option value="s" {% if interval_units == 's' %} selected {% endif %}>seconds</option>
                <option value="s" {% if interval_units == 'ms' %} selected {% endif %}>milli-seconds</option>
            </select></label>
            <label for="auto_sampling">Auto sampling:
			<select name="auto_sampling">
                <option value="1" {% if auto_sampleStatus %} selected {% endif %}>enable</option>
                <option value="0" {% if not auto_sampleStatus %} selected {% endif %}>disable</option>
			</select></label>
            <label for="auto_sampleStatus">Status:
                <input type="text"
                   name="auto_sampleStatus"
                   size="8"
                   maxlength="8"
                   {% if auto_sampleStatus %}
                       value="enabled"
                       style="background-color:LightGreen;"
                   {% else %}
                       value="disabled"
                       style="background-color:LightPink;"
                   {% endif %}
                   readonly
                   title="If enable, the logger will record values automatically once every sampling interval"
            ></label>
        <label for="samples_count">Records new/total:</label>
        <input type="text"
               name="samples_count"
               size="13"
               maxlength="13"
               {% if samples_count %}
                {% if samples_count[1] is not none %}
                value="{{ samples_count[1] }}/{{ samples_count[0] }} "
                {% else %}
                value="{{ samples_count[0] }} "
                {% endif %}
               {% else %}
               value="NA"
               style="background-color:LightPink;"
               {% endif %}
               readonly
               title="Number of samples that have not been downloaded yet (new) and the total number of samples"
        ></div>
        {% if serial_port %}
        <input class="baseButton data upload" name="logging_set_btn" type="submit" value="Set"
        title="Set the values of this section into the logger's working memory (not persistent)">
        <input class="baseButton data clear" name="logging_clear_data_btn" type="submit" value="Clear Data"
        title="Clear all the logged data on the device. Take care, data are not available anymore after that action!">
        {% endif %}
    </fieldset>

    <fieldset class="inputField">
        <legend>Battery</legend>
        <div class="flexRow">
            <label for="battery_cell_voltage">Nominal voltage [V]:
            <input type="number"
                   name="battery_cell_voltage"
                   min="0"
                   step="0.1"
                   size="4"
                   maxlength="4"
                   {% if battery_cell_voltage %}
                   value="{{ battery_cell_voltage }}"
                   {% endif %}
                   required
                   title="Nominal voltage of a single battery cell. Set to 0 if not using batteries"
            ></label>
            <label for="battery_cell_count" >Number of cells:
            <input type="number"
                   name="battery_cell_count"
                   min="0"
                   size="2"
                   maxlength="2"
                   {% if battery_cell_count %}
                   value="{{ battery_cell_count }}"
                   {% endif %}
                   required
                   title="Number of battery cells. Set to 0 if not using batteries"
            ></label>
        </div>
        {% if serial_port %}
        <input class="baseButton data upload" name="battery_set_btn" type="submit" value="Set"
        title="Set the values of this section into the logger's working memory (not persistent)">
        {% endif %}
    </fieldset>
</form>
<form method="POST" action="">
    <fieldset class="inputField">
        <legend>Internal clock</legend>
        <label for="rtc_now">Date &amp; Time:</label>
        <input type="text"
               name="rtc_now"
               size="64"
               maxlength="64"
               {% if rtc_now %}
               value="{{ rtc_now }}"
               {% endif %}
               placeholder="yyyy.mm.dd wd hh:mm:ss.ms"
        >
        <div class="flexRow">
            <input class="baseButton" type="submit" name="pc_clock_btn" value="Get from computer"
            title="Get current UTC time from the computer">
            {% if serial_port %}
            <input class="baseButton data" type="submit" name="logger_clock_btn" value="Get from logger"
            title="Get current UTC time from the logger's real-time clock (RTC)">
            {% endif %}
        </div>
        {% if serial_port %}
        <div class="flexRow">
            <input class="baseButton data upload" type="submit" name="clock_set_btn" value="Set clock"
            title="Set the logger's RTC time with the value shown (not persistent)">
            <input class="baseButton data upload" type="submit" name="clock_sync_btn" value="Sync with computer"
            title="Synchronize the logger's RTC with the computer (persistent)">
        </div>
        {% endif %}

    </fieldset>
</form>
{% endblock %}